package com.bcxin.backend.domain.signature.service;


public interface BeiJingInDocumentSignature {

    void initDocumentSignature();

    /**
     * 执行签章逻辑
     */
    void useDocumentSignature();

    /**
     * 从代码上看，逻辑与initDocumentSignature重复
     * todo: 移除； by lhc
     */
    void comparisonDocumentSignature();

    /**
     * todo: 针对文书被变更的情况，重新进行签章
     * 逻辑与initDocumentSignature一样
     */
    void resetDocumentSignature();

    boolean checkPdfForRedSeal(String filePath);
}
